#ifndef WAVEFRONT270_MEMMAP__H
#define WAVEFRONT270_MEMMAP__H

#if defined(__cplusplus)
    extern "C" {
#endif

#define BRG_REV_ADR	0x100 //legacy for Adapter_Open() function

//User Registers in Bar 2
	#define WF_SERIAL_CTL_ADR		0x0
		#define ATT_LE_HI		(0x1<<6)
		#define ATT_LE_LOW		(0x0<<6)
		#define IDAC_BCSB_HI	(0x1<<5)
		#define IDAC_BCSB_LOW	(0x0<<5)
		#define QDAC_BCSB_HI	(0x1<<4)
		#define QDAC_BCSB_LOW	(0x0<<4)
		#define PLL_ENABLE		(0x1<<3)
		#define PLL_DISABLE		(0x0<<3)
		#define SPI_SCLK_HI		(0x1<<2)
		#define SPI_SCLK_LOW	(0x0<<2)
		#define SPI_SDIO_HI		(0x1<<1)
		#define SPI_SDIO_LOW	(0x0<<1)

	#define WF_FWREV_ADR			0x4 //Wavefront firmware revision register

	#define BOARD_CTL_ADR		0x14
		#define INT_REF_INACTIVE	(0x0<<5)
		#define INT_REF_ACTIVE		(0x1<<5)
		#define EXT_LO_INACTIVE		(0x0<<4)
		#define EXT_LO_ACTIVE		(0x1<<4)
		#define INT_LO_INACTIVE		(0x0<<3)
		#define INT_LO_ACTIVE		(0x1<<3)
		#define DIRECT_RFP_HI		(0x1<<2)
		#define DIRECT_RFP_LOW		(0x0<<2)
		#define REF_OUT_PWR_EN		(0x1<<1)
		#define REF_OUT_PWR_DIS		(0x0<<1)
		#define DIV_SEL_HI			(0x1<<0)
		#define DIV_SEL_LOW			(0x0<<0)

	
	
#ifdef __cplusplus
}
#endif

#endif

